Name:    iotop
Version: 0.6
Release: 20
Summary: Simple top-like I/O monitor
License: GPLv2+
URL:     http://guichaz.free.fr/iotop/

Source0: http://guichaz.free.fr/iotop/files/%{name}-%{version}.tar.bz2

BuildArch: noarch
BuildRequires: python3-devel git

Patch0000: 0000-iotop-0.6-python3.patch
Patch0001: 0001-iotop-python3build.patch
Patch6000: 6000-iotop-0.6-splitline.patch
Patch6001: 6001-iotop-0.3.2-ppcprio.patch
Patch6002: 6002-iotop-0.6-aarch64prio.patch

%description
iotop watches I/O usage information output by the Linux kernel (requires 2.6.20 or later) and
displays a table of current I/O usage by processes or threads on the system. At least the
CONFIG_TASK_DELAY_ACCT, CONFIG_TASK_IO_ACCOUNTING, CONFIG_TASKSTATS and CONFIG_VM_EVENT_COUNTERS
options need to be enabled in your Linux kernel build configuration.

iotop displays columns for the I/O bandwidth read and written by each process/thread during the
sampling period. It also displays the percentage of time the thread/process spent while swapping in and
while waiting on I/O. For each process, its I/O priority (class/level) is shown.

%package help
Summary: Including man files for iotop
Requires: man

%description help
This contains man files for the using of iotop

%prep
%autosetup -n %{name}-%{version} -p1 -S git

%build
%py3_build

%install
%py3_install

%files
%doc README
%license COPYING
%{python3_sitelib}/*
%{_sbindir}/iotop

%files help
%{_mandir}/man8/iotop.*

%changelog
* Fri Jan 10 2020 sunshihao <sunshihao@huawei.com> - 0.6-20
- Type:enhancemnet
- ID:NA
- SUG:NA
- DESC:update iotop

* Sat Aug 31 2019 Miaohe Lin <linmiaohe@huawei.com> - 0.6-19
- Type:enhancemnet
- ID:NA
- SUG:NA
- DESC:openEuler Debranding

* Wed Aug 21 2019 wubo <wubo40@huawei.com> - 0.6-18.h2
- change patch name

* Mon Feb 11 2019 wangjia <wangjia55@huawei.com> - 0.6-18.h1
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:fix prio field for ppc and aarch64
       fix data value unpack with latest kernels
- Package init

